ZPOOL-UPGRADE(8)

NAME
zpool-upgrade - Manage version and feature flags of ZFS storage pools

SYNOPSIS
zpool upgrade
zpool upgrade -v
zpool upgrade [-V version] -a|pool...

DESCRIPTION

    zpool upgrade Displays pools which do not have all supported features enabled and pools formatted using a legacy ZFS version number. These pools can continue to be used, but some features may not be available. Use zpool upgrade -a to enable all features on all pools.

    zpool upgrade -v Displays legacy ZFS versions supported by the current software. See zpool-features(5) for a description of feature flags features supported by the current software.

    zpool upgrade [-V version] -a|pool... Enables all supported features on the given pool. Once this is done, the pool will no longer be accessible on systems that do not support feature flags. See zpool-features(5) for details on compatibility with systems that support feature flags, but do not support all features enabled on the pool.

    -a  Enables all supported features on all pools.

    -V version
        Upgrade to the specified legacy version. If the -V flag is specified, no features will be enabled on the pool. This option can only be used to increase the version number up to the last supported legacy version number.

SEE ALSO
zpool-features(5), zpoolconcepts(8), zpoolprops(8), zpool-history(8)